<solidify-base-action-dialog [titleToTranslate]="labelTranslateEnum.profile | translate">
  <div class="dialog-body">
    <div class="right-part">
      <h2 class="title">{{labelTranslateEnum.personalInformation | translate}}</h2>
      <div class="personal-information-content">
        <solidify-avatar-upload-wrapper-container [resId]="personResId"
                                                  [resourceFileNameSpace]="userLogoActionNameSpace"
                                                  [resourceFileState]="$any(userLogoState)"
                                                  [userInfo]="getUser()"
                                                  [uploadInstantly]="false"
                                                  [isAvatarMissing]="isAvatarPresent() | isFalse"
                                                  (logoChange)="logoChange($event)"
        ></solidify-avatar-upload-wrapper-container>
        <div [solidifySpinner]="isLoadingPersonObs | async"
             class="wrapper"
        >
          <dlcm-person-form #formPresentational
                            *ngIf="(isReadyToBeDisplayedObs | async) && (currentPersonObs | async)"
                            (submitChange)="savePersonInfo($event)"
                            [model]="currentPersonObs | async"
                            [selectedNotificationType]="selectedNotificationTypeObs | async"
                            [isStewardOfAnyOrgUnit]="isStewardOfAnyOrgUnit"
                            [isApproverOfAnyOrgUnit]="isApproverOfAnyOrgUnit"
                            [email]="user?.email"
                            class="form"
          ></dlcm-person-form>
        </div>
      </div>
    </div>

    <div class="left-part">
      <h2 class="title">{{labelTranslateEnum.administrativeInformation | translate}}</h2>
      <div class="administrative-information-content">
        <dlcm-user-form [model]="user"
                        [readonly]="true"
                        class="form"
        ></dlcm-user-form>
      </div>
    </div>
  </div>
</solidify-base-action-dialog>
<div mat-dialog-actions>
  <button [mat-dialog-close]=""
          mat-button
          color="primary"
  >{{labelTranslateEnum.close | translate}}
  </button>
  <button (click)="validate()"
          (onEnter)="validate()"
          [disabled]="(!formPresentational?.form.valid || !formPresentational?.form.dirty) && !this.validateEnable"
          color="primary"
          mat-flat-button
          solidifyShortCuts
  >{{labelTranslateEnum.validate | translate}}
  </button>
</div>
